# Copyright © 2015-2016 Nick Bowler
# License GPLv3+: GNU General Public License version 3 or later.
# There is NO WARRANTY, to the extent permitted by law.

EAPI=6

inherit toolchain-funcs

SHA1=1f34bc6d30fdffb98ad98387c93a8a5824703639

DESCRIPTION="Virtual maildir filesystem for notmuch queries"
HOMEPAGE="https://github.com/tsto/notmuchfs/"
SRC_URI="https://github.com/tsto/notmuchfs/archive/$SHA1.tar.gz"

LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64"

DEPEND="net-mail/notmuch
	sys-fs/fuse"
RDEPEND=$DEPEND

S=$WORKDIR/$PN-$SHA1

PATCHES=(
	"$FILESDIR/$PN-fix-build.patch"
	)

src_compile() {
	emake CC=$(tc-getCC)
}

src_install() {
	dobin notmuchfs
	dodoc README.md README.MUTT.md ISSUES
	newdoc mutt/.muttrc muttrc.example
}
